#ifndef _ENEMY_H_
#define _ENEMY_H_

#include <types.h>

//
// Forward declarated TCharacter struct (as we use a pointer in updateUser,
//   and compiler must now its existance, but not its definition details).
//
//
// Functions defined in the game module
//
//void
void inicializarMovimiento(u32);
void initializeRandomGenerators();
void drawBullet();
void reDrawBullet();
void deleteBullet();
void initBullet();

void drawEnemy(u8);
void deleteEnemy(u8);
void reDrawEnemy(u8);
void initEnemy();

void actionMove(u8);
void fabricaDeEnemigos();
u8 comprobarColisionE(u8,u8,i8,i8);
u8 movLE(u8,u8);
u8 movUP(u8,u8);
u8 movDO(u8,u8);
u8 movRI(u8,u8);

//get
u8 getMoverEnemigo(u8);
u8 mixedRandomGenerator();
u8 getXenemy(u8);
u8 getYenemy(u8);
u8 getVivoE(u8);
u8 enemigosNow();
u16 tiempoRandom();


//sets
void setMoverEnemigo(u8,u8);
void matarE(u8);
void setEnemigos();

#endif
