
#ifndef _ENTITIES_H_
#define _ENTITIES_H_

#include <types.h>

#define SI 1
#define NO 0
#define ANCHO_PANTALLA 80
#define LARGO_PANTALLA 200
#define ORIGEN_MAPA_Y 20
#define ORIGEN_MAPA cpctm_screenPtr(CPCT_VMEM_START, 0, ORIGEN_MAPA_Y)
//
// Forward declarated TCharacter struct (as we use a pointer in updateUser,
//   and compiler must now its existance, but not its definition details).
//
//bala
typedef struct{
   u8 x, y; //puesto para que la bala no se vuelva loca cuando disparas en los limites
   u8 px, py;
   u8* sprite;
   u8 disparada;
}TBullet;

//jugasao
typedef struct{
   u8 x, y;
   u8 px, py;
   u8* sprite;
   u8 mover;
   u8 vivo;
   u8 tipo;
}TUnidad; //ocupa 7 bytes
// Functions defined in the game module
//
cpctm_declareMaskTable(g_tablatrans);

u8 colision(u8, u8, u8, u8, u8);
void modificarMapa(u8, u8, u8, u8, u8);
u8 comprobarMuerte(u8, u8, u8, u8, u8, u8);


#endif
