//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of CPCtelera: An Amstrad CPC Game Engine
//  Copyright (C) 2015 ronaldo / Fremos / Cheesetea / ByteRealms (@FranGallegoBR)
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "map1.h"
#include "map2.h"
#include "map3.h"
#include "tiles.h"

#define ORIGEN_MAPA_Y 20
#define ORIGEN_MAPA cpctm_screenPtr(CPCT_VMEM_START, 0, ORIGEN_MAPA_Y)

u8 mapa[40*45];

void dibujarMapa() {
  cpct_etm_drawTilemap2x4(40, 45, ORIGEN_MAPA, mapa);
}
void inicializarMapa(u8 m){
  u16 i = 0;
  switch (m) {
    case 0:
      for(i = 0;i<(40*45);i++){
        mapa[i] = g_map3[i];
      }
      break;
    case 1:
      for(i = 0;i<(40*45);i++){
        mapa[i] = g_map2[i];
      }
      break;
    case 2:
      for(i = 0;i<(40*45);i++){
        mapa[i] = g_map1[i];
      }
      break;
  }
  cpct_etm_setTileset2x4(g_tileset);
  dibujarMapa();
}
u8* getMapa(){
  return mapa;
}
